Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 611954 (MFSA-2017-07) - <mail-client/thunderbird{,-bin}-45.8.0: multiple vulnerabilities (MFSA-2017-07)
Summary: <mail-client/thunderbird{,-bin}-45.8.0: multiple vulnerabilities (MFSA-2017-07)
Status: RESOLVED FIXED
Alias: MFSA-2017-07
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa cve]
Keywords:
Depends on: CVE-2017-5398, CVE-2017-5400, CVE-2017-5401, CVE-2017-5402, CVE-2017-5404, CVE-2017-5405, CVE-2017-5407, CVE-2017-5408, CVE-2017-5410
Blocks:
  Show dependency tree
 
Reported: 2017-03-07 12:57 UTC by Thomas Deutschmann
Modified: 2017-05-09 19:45 UTC (History)
1 user (show)

See Also:
Package list:
=mail-client/thunderbird-45.8.0 =x11-plugins/enigmail-1.9.6.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2017-03-07 12:57:53 UTC
From release notes:

> Various security fixes

Advisory not yet published. However, binaries and sources for thunderbird-45.8.0 are released.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev Security 2017-03-08 00:02:18 UTC
CVE-2017-5400: asm.js JIT-spray bypass of ASLR and DEP

REPORTER
Rh0
IMPACT
CRITICAL
Description

JIT-spray targeting asm.js combined with a heap spray allows for a bypass of ASLR and DEP protections leading to potential memory corruption attacks.

References

Bug 1334933
#CVE-2017-5401: Memory Corruption when handling ErrorResult

REPORTER
Anton Eliasson
IMPACT
CRITICAL
Description

A crash triggerable by web content in which an ErrorResult references unassigned memory due to a logic error. The resulting crash may be exploitable.

References

Bug 1328861
#CVE-2017-5402: Use-after-free working with events in FontFace objects

REPORTER
Nils
IMPACT
CRITICAL
Description

A use-after-free can occur when events are fired for a FontFace object after the object has been already been destroyed while working with fonts. This results in a potentially exploitable crash.

References

Bug 1334876
#CVE-2017-5404: Use-after-free working with ranges in selections

REPORTER
Ivan Fratric of Google Project Zero
IMPACT
CRITICAL
Description

A use-after-free error can occur when manipulating ranges in selections with one node inside a native anonymous tree and one node outside of it. This results in a potentially exploitable crash.

References

Bug 1340138
#CVE-2017-5407: Pixel and history stealing via floating-point timing side channel with SVG filters

REPORTER
David Kohlbrenner
IMPACT
HIGH
Description

Using SVG filters that don't use the fixed point math implementation on a target iframe, a malicious page can extract pixel values from a targeted user. This can be used to extract history information and read text values across domains. This violates same-origin policy and leads to information disclosure.

References

Bug 1336622
#CVE-2017-5410: Memory corruption during JavaScript garbage collection incremental sweeping

REPORTER
Jerri Rice
IMPACT
HIGH
Description

Memory corruption resulting in a potentially exploitable crash during garbage collection of JavaScript due errors in how incremental sweeping is managed for memory cleanup.

References

Bug 1330687
#CVE-2017-5408: Cross-origin reading of video captions in violation of CORS

REPORTER
Eric Lawrence of Chrome Security
IMPACT
MODERATE
Description

Video files loaded video captions cross-origin without checking for the presence of CORS headers permitting such cross-origin use, leading to potential information disclosure for video captions.

References

Bug 1313711
#CVE-2017-5405: FTP response codes can cause use of uninitialized values for ports

REPORTER
Anonymous
IMPACT
LOW
Description

Certain response codes in FTP connections can result in the use of uninitialized values for ports in FTP operations.

References

Bug 1336699
#CVE-2017-5398: Memory safety bugs fixed in Thunderbird 45.8

REPORTER
Mozilla developers and community
IMPACT
CRITICAL
Description

Mozilla developers and community members Boris Zbarsky, Christian Holler, Honza Bambas, Jon Coppeard, Randell Jesup, André Bargull, Kan-Ru Chen, and Nathan Froyd reported memory safety bugs present in Thunderbird 45.7. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.

References

Memory safety bugs fixed in Thunderbird 45.8
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-03-09 19:30:49 UTC
=mail-client/thunderbird-bin-45.8.0 is already stable.
Comment 3 Stabilization helper bot gentoo-dev 2017-03-09 20:00:58 UTC
An automated check of this bug failed - repoman reported dependency errors (47 lines truncated): 

> dependency.bad mail-client/thunderbird/thunderbird-45.8.0.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['x11-plugins/enigmail[-thunderbird(-)]']
> dependency.bad mail-client/thunderbird/thunderbird-45.8.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['x11-plugins/enigmail[-thunderbird(-)]']
> dependency.bad mail-client/thunderbird/thunderbird-45.8.0.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['x11-plugins/enigmail[-thunderbird(-)]']
Comment 4 Ian Stakenvicius gentoo-dev 2017-03-09 20:21:14 UTC
(In reply to Thomas Deutschmann from comment #2)
> =mail-client/thunderbird-bin-45.8.0 is already stable.

mail-client/thunderbird is also stable for amd64.

Arches, please stabilize =mail-client/thunderbird-45.8.0 along with new dependency =x11-plugins/enigmail-1.9.6.1 on the following:

KEYWORDS="ppc ppc64 x86"
Comment 5 Stabilization helper bot gentoo-dev 2017-03-09 21:00:55 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 6 Thomas Deutschmann gentoo-dev Security 2017-03-23 20:43:14 UTC
@ Arch teams: *ping*
Comment 7 Agostino Sarubbo gentoo-dev 2017-03-25 19:25:51 UTC
ppc stable
Comment 8 Agostino Sarubbo gentoo-dev 2017-03-25 19:28:10 UTC
ppc64 stable
Comment 9 Yury German Gentoo Infrastructure gentoo-dev Security 2017-04-11 23:04:26 UTC
Can we please finish stabilizing x86
Comment 10 Yury German Gentoo Infrastructure gentoo-dev Security 2017-04-30 16:43:47 UTC
Please complete x86 stabilization.
Comment 11 Ian Stakenvicius gentoo-dev 2017-05-03 16:47:16 UTC
I've just forced x86 stabilization and dropped 45.7 from the tree.
Comment 12 Yury German Gentoo Infrastructure gentoo-dev Security 2017-05-03 16:56:25 UTC
Arches and Maintainer(s), Thank you for your work.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2017-05-09 19:45:25 UTC
This issue was resolved and addressed in
 GLSA 201705-07 at https://security.gentoo.org/glsa/201705-07
by GLSA coordinator Kristian Fiskerstrand (K_F).